/*******************ActoBitty Line Follower******************************
This code is for a simple line following Actobitty robot
using a pair of Pololu QTR1-RC sensors( http://www.pololu.com/product/2459)
and DRV8835 Motor driver ( http://www.pololu.com/product/22511).

Run the Sensor_Values Example to get calibration values.

Created by: Parth Kumar
Date      : Sept 12th 2014
Copyright : Robotzone LLC.
*************************************************************************/

#include <QTRSensors.h>         //Pololu QTR Sensor Library
#include <DRV8835MotorShield.h> //Pololu DRV8835 Library 


//***********DEFINE PARAMETERS*************************
#define LeftSensePin    2    //Left Line Sensor Pin
#define RightSensePin   3    //Right Line Sensor Pin 
#define LeftMotReverse  1     //0:Normal 1:Reverse
#define RightMotReverse 0     //0:Normal 1:Reverse
#define ThreshHoldVal   1000  // Line Sensor Threshold value
//*******************************************************

//Create QTR Sensor Line Following Object
QTRSensorsRC qtrrc((unsigned char[]) {LeftSensePin, RightSensePin},2, 2500, QTR_NO_EMITTER_PIN);
unsigned int sensorValues[2];

//Create DRV8853 Motor Shield object
DRV8835MotorShield motors;

void setup()
{
  //Serial.begin(9600); // set the data rate in bits per second for serial data transmission
  motors.flipM1(RightMotReverse);
  motors.flipM2(LeftMotReverse);
}


void loop()
{
  qtrrc.read(sensorValues);             //Read Sensors
  while(sensorValues[0]<ThreshHoldVal)  //Check Left Sensor Value
  {
    motors.setM1Speed(0);         //Stop Right Motor
    motors.setM2Speed(400);       //Move Left Motor Full Speed
    qtrrc.read(sensorValues);
    Serial.println("right");
  }
  while(sensorValues[1]<ThreshHoldVal) //Check Right Sensor Value
  {
    motors.setM1Speed(400);      //Move Right Motor Full Speed
    motors.setM2Speed(0);        //Stop Left Motor
    qtrrc.read(sensorValues);
    Serial.println("left");
  }
  delay(100);
}

